Package org.flowable.common.engine.api

# Class FlowableObjectNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.flowable.common.engine.api.FlowableException
org.flowable.common.engine.api.FlowableObjectNotFoundException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `JobNotFoundException`

public class FlowableObjectNotFoundException extends FlowableException
An exception indicating that the object that is required or actioned on does not exist.

Author:
  Frederik Heremans
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.flowable.common.engine.api.FlowableException

  `isLogged, reduceLogLevel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableObjectNotFoundException(Class<?> objectClass)`
  `FlowableObjectNotFoundException(String message)`
  `FlowableObjectNotFoundException(String message, Class<?> objectClass)`
  `FlowableObjectNotFoundException(String message, Class<?> objectClass, Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getObjectClass()`
  The class of the object that was not found.

  ### Methods inherited from class org.flowable.common.engine.api.FlowableException

  `isLogged, isReduceLogLevel, setLogged, setReduceLogLevel`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FlowableObjectNotFoundException

    public FlowableObjectNotFoundException(String message)

  - ### FlowableObjectNotFoundException

    public FlowableObjectNotFoundException(String message, Class<?> objectClass)

  - ### FlowableObjectNotFoundException

    public FlowableObjectNotFoundException(Class<?> objectClass)

  - ### FlowableObjectNotFoundException

    public FlowableObjectNotFoundException(String message, Class<?> objectClass, Throwable cause)

- ## Method Details

  - ### getObjectClass

    public Class<?> getObjectClass()
    The class of the object that was not found. Contains the interface-class of the object that was not found.